What are the system requirements for ArcGIS for Smartphone and Tablets?

For iOS

ArcGIS App for iOS

  • Compatible with iPhone, iPad and iPod touch devices
  • Requires Apple iOS version 3.1.2 and above

ArcGIS Runtime SDK for iOS

  • Intel-based Macintosh running Leopard (OS X 10.5) or Snow Leopard (OS X 10.6)
  • An iPhone, iPad or iPod Touch is recommended for testing the user experience/interface within your application

For Windows Phone

ArcGIS App for Windows Phone

Requires Windows Phone OS version 7.0 or above.

ArcGIS Runtime SDK for Windows Phone

Requires the following Microsoft products to build ArcGIS Silverlight applications for Windows Phone:

  • Visual Studio 2010 or Visual Web Developer Express 2010
  • Windows Phone Developer Tools version 7.0 or above
  • A Windows Phone 7 device with OS version 7.0 or above is recommended for testing your application

For Android

ArcGIS App for Android

Requires Android version 2.2 (Froyo) and above. The ArcGIS app will not run on an Android emulator.

The ArcGIS for Android application has been designed specifically for Android smartphones equipped with ARMv6 or higher processors.

For more detailed application system requirements information, visit the ArcGIS for Android Resource Centre including the ArcGIS for Android app forum.

ArcGIS Runtime SDK for Android

Development of ArcGIS for Android apps are supported on:

  • Mac OS X (Intel)
  • Linux
  • Windows based operating systems

Requires the following to build ArcGIS applications:

  • SDK Platform Android 2.1, API 7
  • SDK Platform Android 2.2, API 8
  • Eclipse Integrated Development Environment (IDE)

The ArcGIS Runtime SDK for Android will work with ArcGIS for Server 9.3.1 and 10.0 services. You can also use the Runtime SDK with:

  • ArcGIS for Server for the Java Platform
  • ArcGIS for Server for the .NET Platform
  • All operating systems that are supported by Esri